import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { BeneficiaryDTO, CreateBeneficiaryDto, AddBeneficiaryDto } from './originOrganizationIRECAPI.schemas';
import beneficiaryControllerGetPlatformBeneficiariesMutator from '../response-type';
import beneficiaryControllerCreateBeneficiaryMutator from '../response-type';
import beneficiaryControllerGetCompanyBeneficiariesMutator from '../response-type';
import beneficiaryControllerAddOrganizationBeneficiaryMutator from '../response-type';
import beneficiaryControllerRemoveOrganizationBeneficiaryMutator from '../response-type';
declare type SecondParameter<T extends (...args: any) => any> = T extends (config: any, args: infer P) => any ? P : never;
export declare const beneficiaryControllerGetPlatformBeneficiaries: <TData = BeneficiaryDTO[]>(options?: SecondParameter<typeof beneficiaryControllerGetPlatformBeneficiariesMutator>) => Promise<TData>;
export declare const getBeneficiaryControllerGetPlatformBeneficiariesQueryKey: () => string[];
export declare const useBeneficiaryControllerGetPlatformBeneficiaries: <TQueryFnData = BeneficiaryDTO[], TError = unknown, TData = TQueryFnData>(options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof beneficiaryControllerGetPlatformBeneficiariesMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const beneficiaryControllerCreateBeneficiary: <TData = BeneficiaryDTO>(createBeneficiaryDto: CreateBeneficiaryDto, options?: SecondParameter<typeof beneficiaryControllerCreateBeneficiaryMutator>) => Promise<TData>;
export declare const useBeneficiaryControllerCreateBeneficiary: <TData = BeneficiaryDTO, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: CreateBeneficiaryDto;
    }, TContext>;
    request?: SecondParameter<typeof beneficiaryControllerCreateBeneficiaryMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: CreateBeneficiaryDto;
}, TContext>;
export declare const beneficiaryControllerGetCompanyBeneficiaries: <TData = BeneficiaryDTO[]>(options?: SecondParameter<typeof beneficiaryControllerGetCompanyBeneficiariesMutator>) => Promise<TData>;
export declare const getBeneficiaryControllerGetCompanyBeneficiariesQueryKey: () => string[];
export declare const useBeneficiaryControllerGetCompanyBeneficiaries: <TQueryFnData = BeneficiaryDTO[], TError = unknown, TData = TQueryFnData>(options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof beneficiaryControllerGetCompanyBeneficiariesMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const beneficiaryControllerAddOrganizationBeneficiary: <TData = BeneficiaryDTO>(addBeneficiaryDto: AddBeneficiaryDto, options?: SecondParameter<typeof beneficiaryControllerAddOrganizationBeneficiaryMutator>) => Promise<TData>;
export declare const useBeneficiaryControllerAddOrganizationBeneficiary: <TData = BeneficiaryDTO, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: AddBeneficiaryDto;
    }, TContext>;
    request?: SecondParameter<typeof beneficiaryControllerAddOrganizationBeneficiaryMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: AddBeneficiaryDto;
}, TContext>;
export declare const beneficiaryControllerRemoveOrganizationBeneficiary: <TData = void>(id: string, options?: SecondParameter<typeof beneficiaryControllerRemoveOrganizationBeneficiaryMutator>) => Promise<TData>;
export declare const useBeneficiaryControllerRemoveOrganizationBeneficiary: <TData = void, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        id: string;
    }, TContext>;
    request?: SecondParameter<typeof beneficiaryControllerRemoveOrganizationBeneficiaryMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    id: string;
}, TContext>;
export {};
